package repository

import (
	entity "gitlab.com/mbugroup/lti-api.git/internal/entities"
	"gitlab.com/mbugroup/lti-api.git/internal/common/repository"
	"gorm.io/gorm"
)

type DailyChecklistRepository interface {
	repository.BaseRepository[entity.DailyChecklist]
}

type DailyChecklistRepositoryImpl struct {
	*repository.BaseRepositoryImpl[entity.DailyChecklist]
}

func NewDailyChecklistRepository(db *gorm.DB) DailyChecklistRepository {
	return &DailyChecklistRepositoryImpl{
		BaseRepositoryImpl: repository.NewBaseRepository[entity.DailyChecklist](db),
	}
}
